<?php include_once ("../inc/config.inc.php") ?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_date.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php require ("../inc/fic.inc.php") ?>
<?php require_once ("../classes/xpm/smtp.php"); ?>
<?php require ("../inc/mail.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	 	// Variables Formulaire
		$titre = strip_tags(trim(@$_POST["titre"]));
		$typdde = strip_tags(trim(@$_POST["typdde"]));
		$typrel = strip_tags(trim(@$_POST["typrel"]));
		$coderel = strip_tags(trim(@$_POST["coderel"]));
		$id = strip_tags(trim(@$_POST["id"]));
		$codecli = str_majuscules(strip_tags(trim(@$_POST["codecli"])));
		$cap = strip_tags(trim(@$_POST["cap"]));
		$coderlp = str_majuscules(strip_tags(trim(@$_POST["code"])));

		$datecrea = datefrang(strip_tags(trim(@$_POST["datecreaf"])));
		$signale = strip_tags(trim(@$_POST["signale"]));
		$pbm = strip_tags(trim(@$_POST["pbm"]));

		$codeint = strip_tags(trim(@$_POST["codeint"]));

		$codeuser = @$HTTP_SESSION_VARS["code_log"];

		$retourliste = TRUE;

		if ($typdde == "add")
		{
			// Ajout de la fiche Déclaration de problème
		
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "INSERT INTO " .TBRPBM;
			$rech.= " (rpbm_datecrea,rpbm_codecrea,rpbm_datemod,rpbm_codemod,rpbm_coderlp,rpbm_typrel,rpbm_codecli,rpbm_signale,";
			$rech.= "rpbm_pbm)";
			$rech.= " VALUES";
			$rech.= " ('$datecrea','$codeuser','$datea','$codeuser','$coderlp','$typrel','$codecli','$signale',";
			$rech.= "'$pbm')";
			$rs = mysql_query($rech) or die(mysql_error());
			$id = mysql_insert_id();
			mysql_close($conn);

			$msg = "Fiche enregistrée avec succès !";			

			// Envoi d'email vers le client
			envoi_mail("Déclaration d'un problème licence ou matériel","rpbm","cre","xxx","cli",$id,"","",FALSE);
			// Envoi d'email vers l'agence
			if (@$HTTP_SESSION_VARS["niv_log"] <> 4)
				envoi_mail("Déclaration d'un problème licence ou matériel","rpbm","cre","xxx","age",$id,"","",FALSE);
			// Envoi d'email vers le centre de gestion
			envoi_mail("Déclaration d'un problème licence ou matériel","rpbm","cre","xxx","cdg",$id,"","",TRUE);

		}

		if ($typdde == "edit")
		{
			// MAJ de la fiche relevé
		
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "UPDATE `" .TBRPBM;
			$rech .= "` SET `rpbm_datemod`='".$datea."', `rpbm_codemod`='".$codeuser."',`rpbm_coderlp`='".$coderlp."',`rpbm_typrel`='".$typrel."',";
			$rech .="  `rpbm_codecli`='".$codecli."', `rpbm_signale`='".$signale."', `rpbm_pbm`='".$pbm."'";
			$rech .=" WHERE `rpbm_id` = '".$id."'";
			$rs = mysql_query($rech) or die(mysql_error());
			mysql_close($conn);

			$msg = "Fiche modifiée avec succès !";

			// Envoi d'email vers le client
			envoi_mail("Modification d'un problème déjà déclaré","rpbm","cre","xxx","cli",$id,"","",FALSE);
			// Envoi d'email vers l'agence
			if (@$HTTP_SESSION_VARS["niv_log"] <> 4)
				envoi_mail("Modification d'un problème déjà déclaré","rpbm","cre","xxx","age",$id,"","",FALSE);
			// Envoi d'email vers le centre de gestion
			envoi_mail("Modification d'un problème déjà déclaré","rpbm","cre","xxx","cdg",$id,"","",TRUE);

		}

		if ($typdde == "del")
		{
			if ($codeint == "")
			{
				// SUPPRESSION de la fiche Relevé
				
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
				$rech = "DELETE FROM `" .TBRPBM. "` WHERE `rpbm_id` = '$id'";
				$rs = mysql_query($rech) or die(mysql_error());
				mysql_close($conn);
				$msg = "Fiche supprimée avec succès !";
			}
			else
			{
				$retourliste = FALSE;
				$msg = "Impossible de supprimer une déclaration de problème rattachée à une intervention.<br>Sortez-la de l'intervention avant de la supprimer.";
			}
		}
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : D&eacute;claration de Probl&egrave;me</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../inc/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

<!-- Affichage nouvelle fenêtre pour impression -->
<script type="text/javascript">
	function lanceimp(page)
	{
	  window.open(page,'impression','width='+screen.width+' height='+screen.height);
	}
</script>

</head>
</body>

<?php 
	include_once ("entete.php"); 
?>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>
<?PHP if ($retourliste == FALSE) 
{ 
?>
<br>
<br>
	<table width="100%"  border="0">
	  <tr>
		<td width="3%">&nbsp;</td>
		<td width="44%"><div align="right"><a href="rel_maj.php?td=edit&cr=<?PHP echo $coderel; ?>"><img src="../img/liste.gif" width="33" height="34" border="0" align="absmiddle"></a> <a href="rel_maj.php?td=edit&cr=<?PHP echo $coderel; ?>" class="annot_gras_it">Retour au dossier de relev&eacute;</a></div></td>
		<td width="7%">&nbsp;</td>
		<td width="43%"><a href="index.php"><em><img src="../img/index.gif" width="48" height="48" border="0" align="absmiddle"> </em><span class="annot_gras_it">Revenir &agrave; l'accueil</span> </a></td>
		<td width="3%">&nbsp;</td>
	  </tr>
	</table>
<?PHP 
} 
else 
{
	if ($cap == 0)
	{
?>
		<script type="text/javascript">
		window.setTimeout("location=('rel_maj.php?td=edit&cr=<?PHP echo $coderel; ?>');",2000)
		</script>
		<p align="center" class="annot_std_it">Retour au dossier de relev&eacute; dans 2 secondes...</p>
<?PHP
	}
	else
	{
		if ($typrel == 1)
			$url_ret = "rlic_maj.php?td=edit&crl=".$coderlp;
		else
			$url_ret = "rpdt_maj.php?td=edit&crp=".$coderlp;
	?>
			<script type="text/javascript">
			window.setTimeout("location=('<?PHP echo $url_ret; ?>');",2000)
			</script>
			<p align="center" class="annot_std_it">Retour &agrave; la fiche relev&eacute; dans 2 secondes...</p>
	<?PHP
	}
}
?>
